org.eclipse.actf.model.dom.odf.style

## Interface GraphicPropertiesElement

All Superinterfaces:
  Element, Node, ODFElement, StylePropertiesBase

    public interface GraphicPropertiesElement
    extends StylePropertiesBase

Interface for <style:graphic-properties> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`String` `getAttrDrawFill()`
`String` `getAttrDrawFillColor()`
`GradientElement` `getAttrDrawFillGradientName()`
`String` `getAttrDrawFillImageHeight()`
`String` `getAttrDrawFillImageName()`
`String` `getAttrDrawFillImageRefPoint()`
`String` `getAttrDrawFillImageRefPointX()`
`String` `getAttrDrawFillImageRefPointY()`
`String` `getAttrDrawFillImageWidth()`
`int` `getAttrDrawGradientStepCount()`
`String` `getAttrDrawMarkerEndWidth()`
`String` `getAttrDrawMarkerStartWidth()`
`String` `getAttrDrawOpacity()`
`OpacityElement` `getAttrDrawOpacityName()`
`String` `getAttrDrawStroke()`
`String` `getAttrDrawStrokeDash()`
`String` `getAttrDrawTileRepeatOffset()`
`String` `getAttrStyleHorizontalPos()`
`String` `getAttrStyleRepeat()`
`String` `getAttrSvgStrokeColor()`
`String` `getAttrSvgStrokeOpacity()`
`String` `getAttrSvgStrokeWidth()`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.style.StylePropertiesBase

`getType`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAttrDrawStroke

    String getAttrDrawStroke()

#### getAttrDrawStrokeDash

    String getAttrDrawStrokeDash()

#### getAttrSvgStrokeWidth

    String getAttrSvgStrokeWidth()

#### getAttrSvgStrokeColor

    String getAttrSvgStrokeColor()

#### getAttrDrawMarkerStartWidth

    String getAttrDrawMarkerStartWidth()

#### getAttrDrawMarkerEndWidth

    String getAttrDrawMarkerEndWidth()

#### getAttrSvgStrokeOpacity

    String getAttrSvgStrokeOpacity()

#### getAttrDrawOpacity

    String getAttrDrawOpacity()

#### getAttrDrawOpacityName

    OpacityElement getAttrDrawOpacityName()

#### getAttrDrawFill

    String getAttrDrawFill()

#### getAttrDrawFillColor

    String getAttrDrawFillColor()

#### getAttrDrawFillGradientName

    GradientElement getAttrDrawFillGradientName()

#### getAttrDrawGradientStepCount

    int getAttrDrawGradientStepCount()

#### getAttrDrawFillImageName

    String getAttrDrawFillImageName()

#### getAttrDrawFillImageWidth

    String getAttrDrawFillImageWidth()

#### getAttrDrawFillImageHeight

    String getAttrDrawFillImageHeight()

#### getAttrStyleRepeat

    String getAttrStyleRepeat()

#### getAttrDrawFillImageRefPointX

    String getAttrDrawFillImageRefPointX()

#### getAttrDrawFillImageRefPointY

    String getAttrDrawFillImageRefPointY()

#### getAttrDrawFillImageRefPoint

    String getAttrDrawFillImageRefPoint()

#### getAttrDrawTileRepeatOffset

    String getAttrDrawTileRepeatOffset()

#### getAttrStyleHorizontalPos

    String getAttrStyleHorizontalPos()